# -*- rpm-spec -*-
# $Id: perl-RPM,v 1.3 2003/10/01 09:33:49 grigory Exp $

%define _without_test 1

%define module Perl-RPM
#hack for version
%define realversion 0.40

Name: perl-RPM
Version: %realversion.0
Release: alt3

Packager: Grigory Milev <week@altlinux.ru>

Summary: %module - Native bindings to the RPM Package Manager API for Perl
License: GPL
Group: Development/Perl
Url: http://search.cpan.org/search?dist=Perl-RPM

Source: http://www.cpan.org/authors/id/RJRAY/%module-%realversion.tar.bz2
Patch0: %module-altrpm.patch
Requires: %{get_dep librpm}

BuildPreReq: rpm-build >= 4.0.4

# Automatically added by buildreq on Wed Nov 06 2002
BuildRequires: libpopt-devel librpm-devel perl-devel

%description
The Perl-RPM package is an attempt to provide Perl-level access to the complete
application programming interface that is a part of the RPM Package Manager
(RPM). Rather than have scripts rely on executing RPM commands and parse the
resultant output, this modules aims to provide Perl programmers the ability
to do anything that would otherwise have been done in C or C++.

The interface is being designed and laid out as a collection of classes, at
least some of which are also available as tied-hash implementations.

At this time, the interface only provides access to the database of installed
packages, and header data retrieval for RPM and SRPM files not yet installed.

%prep
%setup -q -n %module-%realversion
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README*
%_bindir/*
%perl_vendor_archlib/RPM*
%perl_vendor_autolib/RPM*
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*

%changelog
* Wed Oct  1 2003 Grigory Milev <week@altlinux.ru> 0.40.0-alt3
- patching for build with new perl

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 0.40.0-alt2
- rebuild with new perl

* Tue May 28 2002 Grigory Milev <week@altlinux.ru> 0.40.0-alt1
- new version released
- minor spec cleanup

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 0.32.0-alt8
- Rebuilt with new rpm

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.32.0-alt7
- Fixed linkage.

* Thu Nov 08 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.32.0-alt6
- Initial build with rpm4.

* Thu Oct 25 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.32.0-alt5
- Specfile cleanup.

* Tue Jul 24 2001 Stanislav Ievlev <inger@altlinux.ru> 0.32.0-alt4
- Rebuilt with new perl again.

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.32-alt3
- Rebuilt with perl-5.6.1
- Some spec cleanup
- Fixed version bug

* Fri Jun 13 2001 Grigory Milev <week@altlinux.ru> 0.32-alt2
- Rewrite spec for compatible with new police

* Tue May 15 2001 Grigory Milev <week@altlinux.ru> 0.32.0-alt1
- new version (0.32)

* Sun Feb 4 2001 AEN <aen@logic.ru>
- RE adaptation

* Thu Nov 16 2000 Pixel <pixel@mandrakesoft.com> 0.29.2-1mdk
- new version

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.29.1-2mdk
- rpmv4 aware.

* Sat Oct 14 2000 Pixel <pixel@mandrakesoft.com> 0.29.1-1mdk
- new version (0.291 that is)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 0.28-2mdk
- use %perl_sitearch

* Sun Aug 20 2000 Pixel <pixel@mandrakesoft.com> 0.28-1mdk
- new version

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 0.27-2mdk
- rebuild with new clean_perl in spec-helper

* Tue Aug  8 2000 Pixel <pixel@mandrakesoft.com> 0.27-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.26-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.26-1mdk
- new version, BM

* Sun Jul  9 2000 Pixel <pixel@mandrakesoft.com> 0.25-1mdk
- new version

* Tue Jul  4 2000 Pixel <pixel@mandrakesoft.com> 0.2-2mdk
- and RPM.pm to %files (chmousux)

* Fri Jun 09 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-1mdk
- First Mandrake version.



